
Foreman - Bug #5490

Error creating a new host in 1.5 RC2

04/29/2014 03:23 PM - James Jenkins

Status: Closed   

Priority: High   

Assignee: Dominic Cleal   

Category: Smart Proxy   

Target version: 1.5.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

trying to create a new host throws this error, running "cd /usr/share/foreman/ && curl 

https://github.com/theforeman/foreman/commit/50e0bc5c.patch | patch -p1 -R" fixes the issue

(87.7ms)  SELECT id FROM "smart_proxies" INNER JOIN "features_smart_proxies" ON "features_smart_pr

oxies"."smart_proxy_id" = "smart_proxies"."id" INNER JOIN "features" ON "features"."id" = "feature

s_smart_proxies"."feature_id" WHERE "features"."name" IN ('Puppet CA')

PGError: ERROR:  column reference "id" is ambiguous

LINE 1: SELECT id FROM "smart_proxies" INNER JOIN "features_smart_pr...

               ^

: SELECT id FROM "smart_proxies" INNER JOIN "features_smart_proxies" ON "features_smart_proxies"."

smart_proxy_id" = "smart_proxies"."id" INNER JOIN "features" ON "features"."id" = "features_smart_

proxies"."feature_id" WHERE "features"."name" IN ('Puppet CA')

Setting current location thread-local variable to none

Setting current organization thread-local variable to none

  Rendered hosts/_form.html.erb (179.7ms)

  Rendered hosts/new.html.erb within layouts/application (283.0ms)

Operation FAILED: PGError: ERROR:  column reference "id" is ambiguous

LINE 1: SELECT id FROM "smart_proxies" INNER JOIN "features_smart_pr...

               ^

: SELECT id FROM "smart_proxies" INNER JOIN "features_smart_proxies" ON "features_smart_proxies"."

smart_proxy_id" = "smart_proxies"."id" INNER JOIN "features" ON "features"."id" = "features_smart_

proxies"."feature_id" WHERE "features"."name" IN ('Puppet CA')

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

postgresql_adapter.rb:1158:in `async_exec'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

postgresql_adapter.rb:1158:in `exec_no_cache'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

postgresql_adapter.rb:664:in `block in exec_query'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

abstract_adapter.rb:280:in `block in log'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/inst

rumenter.rb:20:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

abstract_adapter.rb:275:in `log'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

postgresql_adapter.rb:663:in `exec_query'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

postgresql_adapter.rb:1253:in `select'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

abstract/database_statements.rb:18:in `select_all'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

abstract/query_cache.rb:61:in `block in select_all'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

abstract/query_cache.rb:75:in `cache_sql'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/
abstract/query_cache.rb:61:in `select_all'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation/calculation

s.rb:181:in `pluck'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/querying.rb:12:in `p

luck'

/usr/share/foreman/app/models/concerns/taxonomix.rb:66:in `taxable_ids'

/usr/share/foreman/app/models/concerns/taxonomix.rb:29:in `with_taxonomy_scope'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation/delegation.

rb:14:in `block in with_taxonomy_scope'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation.rb:241:in `

block in scoping'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/scoping.rb:98:in `wi

th_scope'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation.rb:241:in `

scoping'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation/delegation.

rb:14:in `with_taxonomy_scope'

/usr/share/foreman/app/helpers/hosts_and_hostgroups_helper.rb:52:in `puppet_ca'

/usr/share/foreman/app/helpers/hosts_and_hostgroups_helper.rb:46:in `puppet_master_fields'

/usr/share/foreman/app/views/hosts/_form.html.erb:77:in `block (2 levels) in app_views_hosts

_form_html_erb___3474990500892105382_56661360'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/capture_helper.r

b:40:in `block in capture'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/capture_helper.r

b:187:in `with_output_buffer'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/capture_helper.r

b:40:in `capture'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/form_helper.rb:6

07:in `fields_for'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/form_helper.rb:3

78:in `form_for'

/usr/share/foreman/app/helpers/layout_helper.rb:248:in `form_for'

/usr/share/foreman/app/views/hosts/_form.html.erb:8:in `block in app_views_hosts

_form_html_erb___3474990500892105382_56661360'

/usr/share/foreman/app/models/taxonomy.rb:48:in `block (2 levels) in as_taxonomy'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:143:in `as_location'

/usr/share/foreman/app/models/taxonomy.rb:47:in `block in as_taxonomy'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:108:in `as_org'

/usr/share/foreman/app/models/taxonomy.rb:46:in `as_taxonomy'

/usr/share/foreman/app/views/hosts/_form.html.erb:6:in `_app_views_hosts__form_html_erb___34749905

00892105382_56661360'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/template.rb:145:in `bloc

k in render'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:1

25:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/template.rb:143:in `rend

er'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/partial_rendere

r.rb:265:in `render_partial'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/partial_rendere

r.rb:238:in `block in render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/abstract_render

er.rb:38:in `block in instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:1

23:in `block in instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/inst

rumenter.rb:20:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:1

23:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/abstract_render

er.rb:38:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/partial_rendere

r.rb:237:in `render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/renderer.rb:41:

in `render_partial'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/renderer.rb:15:

in `render'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/rendering_helper

.rb:24:in `render'

/usr/share/foreman/app/views/hosts/new.html.erb:7:in `_app_views_hosts_new_html_erb___275030962351

3813417_69962776444080'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/template.rb:145:in `bloc

k in render'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:1

25:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/template.rb:143:in `rend

er'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_render

er.rb:47:in `block (2 levels) in render_template'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/abstract_render

er.rb:38:in `block in instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:1

23:in `block in instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/inst

rumenter.rb:20:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:1

23:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/abstract_render

er.rb:38:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_render

er.rb:46:in `block in render_template'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_render

er.rb:54:in `render_with_layout'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_render

er.rb:45:in `render_template'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_render

er.rb:18:in `render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/renderer.rb:36:

in `render_template'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/renderer.rb:17:

in `render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:110

:in `_render_template'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/streaming.rb

:225:in `_render_template'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:103

:in `render_to_body'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/renderers.rb

:28:in `render_to_body'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/compatibilit

y.rb:50:in `render_to_body'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:88:

in `render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb

:16:in `render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentat

ion.rb:40:in `block (2 levels) in render'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/core_ext/benchmark

.rb:5:in `block in ms'

/opt/rh/ruby193/root/usr/share/ruby/benchmark.rb:295:in `realtime'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/core_ext/benchmark

.rb:5:in `ms'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentat

ion.rb:40:in `block in render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentat

ion.rb:83:in `cleanup_view_runtime'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_

runtime.rb:24:in `cleanup_view_runtime'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentat

ion.rb:39:in `render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_ren

der.rb:10:in `default_render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_ren

der.rb:5:in `send_action'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `

process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb

:10:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:

in `block in process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:538:i

n `block (3 levels) in run_1004109572713390808__process_action__64208193860538607__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in conditional_callback_around_6335'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:i

n `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:i

n `_callback_around_906'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_6335'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:526:i

n `block (2 levels) in _run_1004109572713390808__process_action__64208193860538607__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in conditional_callback_around_6334'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_6334'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:415:i

n `block in _run_1004109572713390808__process_action__64208193860538607__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in conditional_callback_around_6333'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:i

n `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:i

n `_callback_around_13'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_6333'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:414:i

n `_run_1004109572713390808__process_action__64208193860538607__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:i

n `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:i

n `_run_process_action_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in

 `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:

in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29

:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentat

ion.rb:30:in `block in process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:1

23:in `block in instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/inst

rumenter.rb:20:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:1

23:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentat

ion.rb:29:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapp

er.rb:207:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_

runtime.rb:18:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `

process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:

in `process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `d

ispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegat

ion.rb:14:in `dispatch'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `b

lock in action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:73:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:73:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:36:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:600:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/lib/apipie/static_dispatcher.rb:65:in 

`call'

/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/lib/apipie/middleware/checksum_in_head

ers.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_stan

dards_support.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:25:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:1

4:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_pa

rser.rb:21:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:

242:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `contex

t'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.r

b:339:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in

 `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

abstract/connection_pool.rb:473:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks

.rb:28:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:i

n `_run__2908597467198057675__call__1586855396057739881__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:i

n `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:i

n `_run_call_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in

 `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks

.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip

.rb:31:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exc

eptions.rb:16:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exce

ptions.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_app'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_i

d.rb:22:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/loc

al_cache.rb:72:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb

:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:245:in `fetch'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:185:in `lookup'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:66:in `call!'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `m

ethod_missing'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.r

b:77:in `process_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.

rb:140:in `accept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.

rb:108:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `bloc

k (3 levels) in start_threads'

  Rendered common/500.html.erb within layouts/application (6.6ms)

  Rendered layouts/base.html.erb (2.1ms)

Completed 500 Internal Server Error in 306ms (Views: 11.5ms | ActiveRecord: 96.2ms)

Associated revisions

Revision 3089c85f - 04/30/2014 12:29 PM - Dominic Cleal

fixes #5490 - ambiguous column in taxonomix pluck on Rails 3.2.8

Revision 6572b9f9 - 05/07/2014 11:55 AM - Dominic Cleal

fixes #5490 - ambiguous column in taxonomix pluck on Rails 3.2.8

(cherry picked from commit 3089c85f005425e8fec07c560ce5fb65ca25d45d)

History

#1 - 04/29/2014 03:27 PM - Dominic Cleal

- Priority changed from Normal to High

- Target version set to 1.8.3

- translation missing: en.field_release set to 4

This is a Rails 3.2.8 specific issue (EL6).

#2 - 04/30/2014 11:13 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#3 - 04/30/2014 11:22 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1414

#4 - 04/30/2014 12:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3089c85f005425e8fec07c560ce5fb65ca25d45d.
